%define date 20090207

Name:           sugar-clock
Version:        0
Release:        0.2.%{date}%{?dist}
Summary:        Clock activity for Sugar

Group:          Sugar/Activities
License:        GPLv3+
URL:            http://wiki.laptop.org/go/Clock
Source0:        Clock-%{version}.%{date}.tar.bz2
Source1:        sugar-clock-checkout.sh
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{_id_u} -n)
BuildArch:      noarch

BuildRequires:  python
BuildRequires:  sugar-toolkit

Requires:       sugar


%description
This activity displays time in analog, digital, and "natural" forms.
The "natural" form will be an image of a sun or moon arcing across
the sky, rising and setting as the day progresses. This is more than
a simple clock; the user will be able to grab any element and readjust
it, which will update each of the other elements. In this manner,
hopefully the children can explore and understand different methods of
telling time. 


%prep
%setup -q -n Clock-%{version}.%{date}
sed -i 's/\r$//' {icons/*,activity/activity-clock.svg}
chmod -x {icons/*,activity/activity-clock.svg}
chmod +x {test_timewriter/*.py,speaker.py,timewriter.py,pgettext.py}

%build
python ./setup.py build


%install
rm -rf  %{buildroot}
python ./setup.py install --prefix=%{buildroot}/%{_prefix}
%find_lang tv.alterna.Clock


%clean
rm -rf  %{buildroot}


%files -f tv.alterna.Clock.lang
%defattr(-,root,root,-)
%doc NEWS README
%{sugaractivitydir}/Clock.activity/


%changelog
* Sat Feb 07 2009 Fabian Affolter <fabian@bernewireless.net> - 0-0.2.20090207
- Fixed version and release

* Mon Jan 26 2009 Fabian Affolter <fabian@bernewireless.net> - 20090126-1
- Initial package for Fedora
